abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Cooper" <mart...@apache.org>
Subject Re: JDK 1.4.2 backport
Date Mon, 19 Jun 2006 20:03:18 GMT
On 6/19/06, James M Snell <jasnell@gmail.com> wrote:
>
> Current Abdera depends on a number of Java5 features.  However, I've
> purposefully limited those dependencies to ones that are easy to
> backport to 1.4.2.  There is a definite demand for a 1.4.2
> implementation.  One of the key reasons I would like to keep the parser
> and core branches as stable as possible is so that we can maintain a
> 1.4.2 branch that is periodically sync'd with the trunk.  For each
> milestone, we would make both the Java5 and 1.4.2 versions available.


Have you considered using a tool like Retrotranslator or Retroweaver to
provide JDK 1.4 compatibility? That would be a lot simpler than having to
maintain a branch. Just FYI, we're expecting to use one of these (probably
the former) to make the Struts Action 2 framework available to JDK
1.4developers.

--
Martin Cooper


By the end of this week, I should have the first 1.4.2 backport ready to
> go.  What would be the best way to maintain the backport in the svn?
>
> - James
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message